Name:     grub2splash
Version:  0.1.0
Release:  %mkrel 1

Summary:  Simple bootsplash changer for grub2, gfxboot
URL:      http://www.pclinuxos.com/
Source:   %{name}-%{version}.tar.xz
License:  WTFP
Group:    Graphics
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires: yad  
Requires: gnome-icon-theme
Requires: grub2-theme-uplos
Requires: gfxboot-theme-uplos
Requires: gksu
Obsoletes: %{name} < %{version}

%description
Fast and simple image splash changer for grub2, gfxboot. 
Personalize grub2 or gfxboot images to your favorite image. 

%prep
%setup -q

%build

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

#menu
desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-System-Configuration;" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/%name.desktop

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR


%files 
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%{_bindir}/%{name}
%_datadir/applications/%{name}.desktop
%_datadir/icons/hicolor/48x48/apps/%{name}.png

%changelog
* Tue Nov 08 2016 adrianomorselli <adrianomorselli> 0.1.0-1uplos2016
- rebuild for new uplos background

* Sun Apr 26 2016 Ken <lxgator at gmail.com> 0.1.0-1pclos2016
- create rpm pkg 

